Skip to main content
DELETE
TypeScript

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

id
string
required

Response

Success

name
string
required
Example:

"test_webhook"

url
string<uri>
required
Pattern: ^http(s)?://
Example:

"https://my-service.com/webhook"

id
string
read-only
Example:

"de7818e7-610a-4057-8f6f-b785dc1e6f88"

kind
string
deprecated
read-only
Example:

"webhook"

userId
string
deprecated
read-only
projectId
string

The ID of the project

Example:

"aac12556-4d65-4d34-9fb6-d1f0985eb0a9"

createdAt
number
read-only

Timestamp (in milliseconds) at which stream object was created

Example:

1587667174725

events
enum<string>[]
Available options:
stream.started,
stream.detection,
stream.idle,
recording.ready,
recording.started,
recording.waiting,
multistream.connected,
multistream.error,
multistream.disconnected,
playback.user.new,
playback.accessControl,
asset.created,
asset.updated,
asset.failed,
asset.ready,
asset.deleted,
task.spawned,
task.updated,
task.completed,
task.failed
Example:
streamId
string

streamId of the stream on which the webhook is applied

Example:

"de7818e7-610a-4057-8f6f-b785dc1e6f88"

status
object
read-only

status of webhook

Last modified on March 18, 2026